Kanorio

API reference

Analytics

Content Delivery API: POST /analytics/pageview, POST /analytics/bot-hit

Base URL https://{site}/api/v1ErrorsPagination

Request body

  • pathstringrequired

    Relative path starting with /

  • referrerstring
  • titlestring
  • uaCategory"desktop" | "mobile" | "tablet" | "bot"

Response 200

  • uaCategorystring

Errors

  • INVALID_BODY 400
  • INVALID_PATH 400
curl -X POST "https://{site}/api/v1/analytics/pageview" \
  -H "Content-Type: application/json" \
  -d '{}'

Request body

  • botTokenstring

    Recognized crawler token (e.g. GPTBot, ClaudeBot, PerplexityBot)

  • pathstringrequired

    Relative path starting with /

  • userAgentstring

Errors

  • INVALID_BODY 400
  • INVALID_PATH 400
  • UNKNOWN_BOT 400
curl -X POST "https://{site}/api/v1/analytics/bot-hit" \
  -H "Content-Type: application/json" \
  -d '{}'